* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

body.blue-theme {
  background: #3B4664;
}
body.blue-theme #calculator-container {
  margin: 2rem auto 0 auto;
  width: 350px;
  color: white;
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
  background: transparent;
}
body.blue-theme #calculator-container .first-div {
  display: flex;
  justify-content: space-between;
  background: transparent;
  align-items: center;
  padding: 1rem 0;
}
body.blue-theme #calculator-container .first-div p.name {
  font-weight: bold;
  font-size: 1.1rem;
}
body.blue-theme #calculator-container .first-div .themes {
  display: flex;
  align-items: flex-end;
  column-gap: 1rem;
  height: 50px;
  position: relative;
}
body.blue-theme #calculator-container .first-div .themes .theme-text {
  display: flex;
  justify-self: right;
  align-self: flex-end;
  font-size: 10px;
  font-weight: bold;
}
body.blue-theme #calculator-container .first-div .themes .themes-selection {
  display: flex;
  flex-direction: column;
  row-gap: 0.2rem;
  align-items: center;
  font-size: 10px;
  font-weight: bold;
}
body.blue-theme #calculator-container .first-div .themes .themes-selection p {
  word-spacing: 0.25rem;
}
body.blue-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) {
  display: flex;
  align-items: center;
  column-gap: 0.2rem;
  background: white;
  padding: 0.2rem;
  border-radius: 0.4rem;
}
body.blue-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) > div {
  width: 0.5rem;
  height: 0.5rem;
  background: transparent;
  border-radius: 0.25rem;
  cursor: pointer;
}
body.blue-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) div.theme-1 {
  background: #d13f30;
}
body.blue-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) div.theme-1:hover {
  background: #f96c5b;
}
body.blue-theme #calculator-container div.second-div {
  width: 100%;
  position: relative;
  background: #181f32;
  border-radius: 0.5rem;
}
body.blue-theme #calculator-container div.second-div form p {
  position: absolute;
  top: 0;
  right: 2rem;
  font-size: 0.8rem;
}
body.blue-theme #calculator-container div.second-div input {
  border: none;
  width: 100%;
  background: transparent;
  padding: 1rem;
  text-align: right;
  font-size: 2rem;
  color: white;
  font-weight: bold;
}
body.blue-theme #calculator-container div.second-div input::placeholder {
  color: white;
}
body.blue-theme #calculator-container .third-div {
  height: auto;
}
body.blue-theme #calculator-container .third-div div {
  display: grid;
  grid-template-columns: 22% 22% 22% 22%;
  text-align: center;
  justify-content: space-between;
  background: #252d44;
  padding: 1rem;
  row-gap: 1rem;
  border-radius: 0.5rem;
}
body.blue-theme #calculator-container .third-div div p {
  background: #eae3db;
  color: #252543;
  font-size: 1.5rem;
  font-weight: bold;
  padding: 0.4rem;
  border-bottom: inset 0.22rem #a6a6a6;
  border-radius: 0.4rem;
  cursor: pointer;
}
body.blue-theme #calculator-container .third-div div p:hover {
  background: #ffffff;
}
body.blue-theme #calculator-container .third-div div #reset {
  grid-column: 1/3;
}
body.blue-theme #calculator-container .third-div div #equals {
  grid-column: 3/5;
  background: #d13f30;
  border-color: #a93225;
  color: white;
}
body.blue-theme #calculator-container .third-div div #equals:hover {
  background: #f96c5b;
}
body.blue-theme #calculator-container .third-div div #delete, body.blue-theme #calculator-container .third-div div #reset {
  background: #64749a;
  color: white;
  border-color: #505d7b;
}
body.blue-theme #calculator-container .third-div div #delete:hover, body.blue-theme #calculator-container .third-div div #reset:hover {
  background: #a2b3e1;
}

body.beige-theme {
  background: #e6e6e6;
}
body.beige-theme #calculator-container {
  margin: 2rem auto 0 auto;
  width: 350px;
  color: #4e4f4a;
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
  background: transparent;
}
body.beige-theme #calculator-container .first-div {
  display: flex;
  justify-content: space-between;
  background: transparent;
  align-items: center;
  padding: 1rem 0;
}
body.beige-theme #calculator-container .first-div p.name {
  font-weight: bold;
  font-size: 1.1rem;
}
body.beige-theme #calculator-container .first-div .themes {
  display: flex;
  align-items: flex-end;
  column-gap: 1rem;
  height: 50px;
  position: relative;
}
body.beige-theme #calculator-container .first-div .themes .theme-text {
  display: flex;
  justify-self: right;
  align-self: flex-end;
  font-size: 10px;
  font-weight: bold;
}
body.beige-theme #calculator-container .first-div .themes .themes-selection {
  display: flex;
  flex-direction: column;
  row-gap: 0.2rem;
  align-items: center;
  font-size: 10px;
  font-weight: bold;
}
body.beige-theme #calculator-container .first-div .themes .themes-selection p {
  word-spacing: 0.25rem;
}
body.beige-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) {
  display: flex;
  align-items: center;
  column-gap: 0.2rem;
  background: #d3cdcd;
  padding: 0.2rem;
  border-radius: 0.4rem;
}
body.beige-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) > div {
  width: 0.5rem;
  height: 0.5rem;
  background: transparent;
  border-radius: 0.25rem;
  cursor: pointer;
}
body.beige-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) div.theme-2 {
  background: #C75402;
}
body.beige-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) div.theme-2:hover {
  background: #ff8a38;
}
body.beige-theme #calculator-container div.second-div {
  width: 100%;
  position: relative;
  background: #eeeeee;
  border-radius: 0.5rem;
}
body.beige-theme #calculator-container div.second-div form p {
  position: absolute;
  top: 0;
  right: 2rem;
  font-size: 0.8rem;
}
body.beige-theme #calculator-container div.second-div input {
  border: none;
  width: 100%;
  background: transparent;
  padding: 1rem;
  text-align: right;
  font-size: 2rem;
  color: #4e4f4a;
  font-weight: bold;
}
body.beige-theme #calculator-container div.second-div input::placeholder {
  color: #4e4f4a;
}
body.beige-theme #calculator-container .third-div {
  height: auto;
}
body.beige-theme #calculator-container .third-div div {
  display: grid;
  grid-template-columns: 22% 22% 22% 22%;
  text-align: center;
  justify-content: space-between;
  background: #D3CDCD;
  padding: 1rem;
  row-gap: 1rem;
  border-radius: 0.5rem;
}
body.beige-theme #calculator-container .third-div div p {
  background: #E5E4E0;
  color: #34342c;
  font-size: 1.5rem;
  font-weight: bold;
  padding: 0.4rem;
  border-bottom: inset 0.22rem #a79f94;
  border-radius: 0.4rem;
  cursor: pointer;
}
body.beige-theme #calculator-container .third-div div p:hover {
  background: #ffffff;
}
body.beige-theme #calculator-container .third-div div #reset {
  grid-column: 1/3;
}
body.beige-theme #calculator-container .third-div div #equals {
  grid-column: 3/5;
  background: #C75402;
  border-color: #953f01;
  color: white;
}
body.beige-theme #calculator-container .third-div div #equals:hover {
  background: #ff8a38;
}
body.beige-theme #calculator-container .third-div div #delete, body.beige-theme #calculator-container .third-div div #reset {
  background: #388186;
  color: white;
  border-color: #295e62;
}
body.beige-theme #calculator-container .third-div div #delete:hover, body.beige-theme #calculator-container .third-div div #reset:hover {
  background: #63b4bf;
}

body.purple-theme {
  background: #17062a;
}
body.purple-theme #calculator-container {
  margin: 2rem auto 0 auto;
  width: 350px;
  color: #ffe53c;
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
  background: transparent;
}
body.purple-theme #calculator-container .first-div {
  display: flex;
  justify-content: space-between;
  background: transparent;
  align-items: center;
  padding: 1rem 0;
}
body.purple-theme #calculator-container .first-div p.name {
  font-weight: bold;
  font-size: 1.1rem;
}
body.purple-theme #calculator-container .first-div .themes {
  display: flex;
  align-items: flex-end;
  column-gap: 1rem;
  height: 50px;
  position: relative;
}
body.purple-theme #calculator-container .first-div .themes .theme-text {
  display: flex;
  justify-self: right;
  align-self: flex-end;
  font-size: 10px;
  font-weight: bold;
}
body.purple-theme #calculator-container .first-div .themes .themes-selection {
  display: flex;
  flex-direction: column;
  row-gap: 0.2rem;
  align-items: center;
  font-size: 10px;
  font-weight: bold;
}
body.purple-theme #calculator-container .first-div .themes .themes-selection p {
  word-spacing: 0.25rem;
}
body.purple-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) {
  display: flex;
  align-items: center;
  column-gap: 0.2rem;
  background: #1e0836;
  padding: 0.2rem;
  border-radius: 0.4rem;
}
body.purple-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) > div {
  width: 0.5rem;
  height: 0.5rem;
  background: transparent;
  border-radius: 0.25rem;
  cursor: pointer;
}
body.purple-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) div.theme-3 {
  background: #00decf;
}
body.purple-theme #calculator-container .first-div .themes .themes-selection > div:nth-of-type(2) div.theme-3:hover {
  background: #93fef9;
}
body.purple-theme #calculator-container div.second-div {
  width: 100%;
  position: relative;
  background: #1e0836;
  border-radius: 0.5rem;
}
body.purple-theme #calculator-container div.second-div form p {
  position: absolute;
  right: 2rem;
  top: 0;
  font-size: 0.8rem;
}
body.purple-theme #calculator-container div.second-div input {
  border: none;
  width: 100%;
  background: transparent;
  padding: 1rem;
  text-align: right;
  font-size: 2rem;
  color: #ffe53c;
  font-weight: bold;
}
body.purple-theme #calculator-container div.second-div input::placeholder {
  color: #ffe53c;
}
body.purple-theme #calculator-container .third-div {
  height: auto;
}
body.purple-theme #calculator-container .third-div div {
  display: grid;
  grid-template-columns: 22% 22% 22% 22%;
  text-align: center;
  justify-content: space-between;
  background: #1f0836;
  padding: 1rem;
  row-gap: 1rem;
  border-radius: 0.5rem;
}
body.purple-theme #calculator-container .third-div div p {
  background: #331b4d;
  color: #ffe53c;
  font-size: 1.5rem;
  font-weight: bold;
  padding: 0.4rem;
  border-bottom: inset 0.22rem #86209d;
  border-radius: 0.4rem;
  cursor: pointer;
}
body.purple-theme #calculator-container .third-div div p:hover {
  background: #6b34ac;
}
body.purple-theme #calculator-container .third-div div #reset {
  grid-column: 1/3;
}
body.purple-theme #calculator-container .third-div div #equals {
  grid-column: 3/5;
  background: #00decf;
  border-color: #6bfef4;
  color: black;
}
body.purple-theme #calculator-container .third-div div #equals:hover {
  background: #93fef9;
}
body.purple-theme #calculator-container .third-div div #delete, body.purple-theme #calculator-container .third-div div #reset {
  background: #56077c;
  color: white;
  border-color: #bf16f6;
}
body.purple-theme #calculator-container .third-div div #delete:hover, body.purple-theme #calculator-container .third-div div #reset:hover {
  background: #8631b0;
}

@media screen and (max-width: 550px) {
  body.blue-theme #calculator-container {
    width: 275px;
  }
  body.blue-theme #calculator-container .third-div p {
    padding: 0.5rem;
  }
  body.blue-theme #calculator-container .third-div #reset, body.blue-theme #calculator-container .third-div #delete, body.blue-theme #calculator-container .third-div #equals {
    font-size: 1.25rem;
  }
  body.beige-theme #calculator-container {
    width: 275px;
    height: 100%;
  }
  body.beige-theme #calculator-container .third-div p {
    padding: 0.5rem;
  }
  body.beige-theme #calculator-container .third-div #reset, body.beige-theme #calculator-container .third-div #delete, body.beige-theme #calculator-container .third-div #equals {
    font-size: 1.25rem;
  }
  body.purple-theme #calculator-container {
    width: 275px;
  }
  body.purple-theme #calculator-container .third-div p {
    padding: 0.5rem;
  }
  body.purple-theme #calculator-container .third-div #reset, body.purple-theme #calculator-container .third-div #delete, body.purple-theme #calculator-container .third-div #equals {
    font-size: 1.25rem;
  }
}
